"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RESOLVE_SIDE_EFFECTS_START_TIMESTAMP = exports.default = void 0;

var _resolveQuery = _interopRequireDefault(require("resolve-query"));

var _as = _interopRequireDefault(require("./as"));

var _givenEvents = _interopRequireDefault(require("./given-events"));

var _init = _interopRequireDefault(require("./init"));

var _readModel = _interopRequireDefault(require("./read-model"));

var _transformEvents = _interopRequireDefault(require("./transform-events"));

var _initReadModel = _interopRequireDefault(require("./init-read-model"));

var _initSaga = _interopRequireDefault(require("./init-saga"));

var _saga = _interopRequireDefault(require("./saga"));

var _properties = _interopRequireDefault(require("./properties"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _givenEvents.default.bind(null, {
  createQuery: _resolveQuery.default,
  as: _as.default,
  init: _init.default,
  initSaga: _initSaga.default,
  initReadModel: _initReadModel.default,
  readModel: _readModel.default,
  transformEvents: _transformEvents.default,
  saga: _saga.default,
  properties: _properties.default
});

exports.default = _default;
const RESOLVE_SIDE_EFFECTS_START_TIMESTAMP = 'RESOLVE_SIDE_EFFECTS_START_TIMESTAMP';
exports.RESOLVE_SIDE_EFFECTS_START_TIMESTAMP = RESOLVE_SIDE_EFFECTS_START_TIMESTAMP;
//# sourceMappingURL=index.js.map